Bug 796555 - PageUp or Page Down icon button don't work in candidates lookup window.
PageUp or Page Down icon button don't work in candidates lookup window.
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: ibus (Show other bugs)
17
Unspecified Linux
unspecified Severity medium
: ---
: ---
Assigned To: fujiwara
Fedora Extras Quality Assurance
: i18n
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-23 02:45 EST by Lijun Li
Modified: 2012-03-16 17:23 EDT (History)
4 users (show)

See Also:
Fixed In Version: ibus-fbterm-0.9.1-14.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-16 17:23:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
PageUp or Page Down icon button don't work in candidates look up window (99.38 KB, image/png)
2012-02-23 02:49 EST, Lijun Li
no flags Details
IBus lookup window with ibus-gnome3 (80.00 KB, image/png)
2012-02-24 01:30 EST, Lijun Li
no flags Details

  None (edit)
Description Lijun Li 2012-02-23 02:45:20 EST
Description of problem:
Click PageUp or Page Down icon button don't work in candidates lookup window.

Version-Release number of selected component (if applicable):
ibus-1.4.99.20120203-3.fc17.x86_64

How reproducible:
100%


Steps to Reproduce:
1. Install Fedora17 Desktop from 
http://alt.fedoraproject.org/pub/alt/nightly-composes/
2. Add an Engine/input method such as ibus-anthy or login Japanese session and add Aanty input method.
3. Focus on a text widget (e.g. gedit or gnome-terminal), input Japanese with Anthy.
4. Click PageUp or Page Down icon button in candidates lookup window.
 
 
Actual results:
PageUp or Page Down icon button don't work in candidates lookup window.

Expected results:
Click PageUp or Page Down icon button should work normally in candidates lookup window and can flip page.

Additional info:
Comment 1 Lijun Li 2012-02-23 02:49:00 EST
Created attachment 565218 [details]
PageUp or Page Down icon button don't work in candidates look up window
Comment 2 fujiwara 2012-02-23 03:45:56 EST
It seems you use gnome-shell.
It would be good if you also could try ibus-gnome3:
https://fedoraproject.org/wiki/QA:Testcase_ibus_gnome_shell

--- ibus-phuang/ui/gtk3/panel.vala.orig
+++ ibus-phuang/ui/gtk3/panel.vala
@@ -68,6 +68,8 @@ class Panel : IBus.PanelService {
         m_status_icon.set_from_icon_name("ibus-keyboard");
 
         m_candidate_panel = new CandidatePanel();
+        m_candidate_panel.page_up.connect((w) => this.page_up());
+        m_candidate_panel.page_down.connect((w) => this.page_down());
 
         m_switcher = new Switcher();
Comment 3 Lijun Li 2012-02-24 01:29:33 EST
Tried ibus-gnome3, please refer to the attached screenshot, IBus lookup window without PageUp/PageDown icon button with ibus-gnome3.
Comment 4 Lijun Li 2012-02-24 01:30:08 EST
Created attachment 565506 [details]
IBus lookup window with ibus-gnome3
Comment 5 fujiwara 2012-02-24 02:05:27 EST
Yes, the shell lookup window does not have the arrow buttons.
I think it makes sense to use the ibus shell for gnome-shell.
Comment 6 Fedora Update System 2012-03-13 22:37:32 EDT
ibus-fbterm-0.9.1-14.fc17, ibus-qt-1.3.1-8.fc17, ibus-handwrite-2.1.4-4.fc17, sunpinyin-2.0.3-4.fc17, ibus-input-pad-1.4.0-7.fc17, eekboard-1.0.5-4.fc17, ibus-skk-1.4.0-3.fc17, ibus-sayura-1.3.1-4.fc17, ibus-rawcode-1.3.1.20100707-7.fc17, ibus-m17n-1.3.3-9.fc17, ibus-hangul-1.4.0-5.fc17, ibus-chewing-1.3.10-3.fc17, ibus-pinyin-1.4.0-14.fc17, ibus-1.4.99.20120304-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/FEDORA-2012-3532/ibus-fbterm-0.9.1-14.fc17,ibus-qt-1.3.1-8.fc17,ibus-handwrite-2.1.4-4.fc17,sunpinyin-2.0.3-4.fc17,ibus-input-pad-1.4.0-7.fc17,eekboard-1.0.5-4.fc17,ibus-skk-1.4.0-3.fc17,ibus-sayura-1.3.1-4.fc17,ibus-rawcode-1.3.1.20100707-7.fc17,ibus-m17n-1.3.3-9.fc17,ibus-hangul-1.4.0-5.fc17,ibus-chewing-1.3.10-3.fc17,ibus-pinyin-1.4.0-14.fc17,ibus-1.4.99.20120304-3.fc17
Comment 7 Fedora Update System 2012-03-16 17:23:22 EDT
ibus-fbterm-0.9.1-14.fc17, ibus-qt-1.3.1-8.fc17, ibus-handwrite-2.1.4-4.fc17, sunpinyin-2.0.3-4.fc17, ibus-input-pad-1.4.0-7.fc17, eekboard-1.0.5-4.fc17, ibus-skk-1.4.0-3.fc17, ibus-sayura-1.3.1-4.fc17, ibus-rawcode-1.3.1.20100707-7.fc17, ibus-m17n-1.3.3-9.fc17, ibus-hangul-1.4.0-5.fc17, ibus-chewing-1.3.10-3.fc17, ibus-pinyin-1.4.0-14.fc17, ibus-1.4.99.20120304-3.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.